Skip to main content
`Ctrl`+`K`

# EPSJDSetBOrth

Selects the orthogonalization that will be used in the search subspace in case of generalized Hermitian problems.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetBOrth(EPS eps,PetscBool borth)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- borth - whether to \(B\)-orthogonalize the search subspace

## Options Database Key

- -eps_jd_borth - toggle the \(B\)-orthogonalization

## Note

Detailed information can be found at [Romero and Roman, 2014].

## References

[Rom14]

E. Romero and J. E. Roman. A parallel implementation of Davidson methods for large-scale eigenvalue problems in SLEPc. ACM Trans. Math. Software, 40(2):13:1–13:29, 2014. doi:10.1145/2543696.

## See Also

EPS: Eigenvalue Problem Solver, `EPSJD`, `EPSJDGetBOrth()`

## Level

advanced

## Location

src/eps/impls/davidson/jd/jd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages